import 'dart:async';

import 'package:nps_sdk/nps_sdk.dart';

main(List<String> arguments) async {
  Nps nps = new Nps(sandbox);

  Map createPaymentMethodTokenParams = {
    "psp_Version": "2.2",
    "psp_MerchantId": "sdk_test",
    "psp_CardInputDetails": {
      "Number": "4507990000000010",
      "ExpirationDate": "2501",
      "SecurityCode": "123",
      "HolderName": "JOHN DOE"
    },
    "psp_ClientSession": "b3095mB4Nm2TAttSDSynRNimT8bTuAtzA3GjEcdBv7wQbqYMEatMd6J2bvH5b4qe"
  };
  Map getIINDetailsParams = {
    'psp_Version': '2.2',
    'psp_MerchantId': 'sdk_test',
    'psp_IIN': '424242',
    'psp_PosDateTime': '2019-12-01 12:00:00',
    'psp_ClientSession': 'b3095mB4Nm2TAttSDSynRNimT8bTuAtzA3GjEcdBv7wQbqYMEatMd6J2bvH5b4qe'
  };
  Map getInstallmentsOptionsParams = {
    'psp_Version': '2.2',
    'psp_MerchantId': 'sdk_test',
    'psp_Amount': '100',
    'psp_Product': '14',
    'psp_Currency': '152',
    'psp_Country': 'CHL',
    'psp_NumPayments': '1',
    'psp_PaymentMethodToken': '0OYJDH4f7cZ5yAiXiZBa1ZSIk9mLAAYb',
    'psp_ClientSession': 'b3095mB4Nm2TAttSDSynRNimT8bTuAtzA3GjEcdBv7wQbqYMEatMd6J2bvH5b4qe',
    'psp_PosDateTime': '2017-04-04 13:35:20'
  };
  Map recachePaymentMethodTokenParams = {
    "psp_Version": "2.2",
    "psp_MerchantId": "sdk_test",
    "psp_PaymentMethodId": "iEUNk1P7ql1RSogC73sYHKcMMR2nn1zY",
    "psp_CardSecurityCode": "123",
    "psp_ClientSession": "b3095mB4Nm2TAttSDSynRNimT8bTuAtzA3GjEcdBv7wQbqYMEatMd6J2bvH5b4qe"
  };
  Map retrievePaymentMethodTokenParams = {
    "psp_Version": "2.2",
    "psp_MerchantId": "sdk_test",
    "psp_PaymentMethodToken": "0OYJDH4f7cZ5yAiXiZBa1ZSIk9mLAAYb",
    "psp_ClientSession": "b3095mB4Nm2TAttSDSynRNimT8bTuAtzA3GjEcdBv7wQbqYMEatMd6J2bvH5b4qe"
  };

  Future response = nps.getInstallmentOptions(nps, getInstallmentsOptionsParams);
  response.then((resp) => jsonPrettyPrint(resp))
      .catchError((error) => print);
}